| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::StarRec Class Reference

Class for storing star information. More...

List of all members.

## Public Member Functions
| StarRec ()
| Empty constructor.
| StarRec (const bool starFlag, const string starIdentity, const double parallax, const double muRAscension, const double muDeclination, const double radVelocity, const double starRAscension, const double starDeclination)
| Constructor with parameters.
| ~StarRec ()
| Destructor.
## Public Attributes
bool | flag
| true if the star was found in the star database file.
string | starId
| Star ID.
double | par
| Parallax of the star at JD2000 (rads).
double | muRa
| RA's proper motion at JD2000 (rad/century).
double | muDec
| DEC's proper motion at JD2000 (rad/century).
double | radVel
| Radial velocity of the star (au/century).
double | starRa
| RA of the star at JD2000 (rads).
double | starDec
| DEC of the star at JD2000 (rads).

## Detailed Description

Class for storing star information.

## Constructor & Destructor Documentation

EECFI::StarRec::StarRec | ( |  | ) |

Empty constructor.

EECFI::StarRec::StarRec | ( | const bool | starFlag,
|  | const string | starIdentity,
|  | const double | parallax,
|  | const double | muRAscension,
|  | const double | muDeclination,
|  | const double | radVelocity,
|  | const double | starRAscension,
|  | const double | starDeclination |
| ) |  |  |

Constructor with parameters.

References flag, muDec, muRa, par, radVel, starDec, starId, and starRa.

EECFI::StarRec::~StarRec | ( |  | ) |

Destructor.

## Member Data Documentation

bool EECFI::StarRec::flag

true if the star was found in the star database file.

Referenced by EECFI::StarFile::read(), and StarRec().

double EECFI::StarRec::muDec

DEC's proper motion at JD2000 (rad/century).

Referenced by EECFI::StarFile::read(), and StarRec().

double EECFI::StarRec::muRa

RA's proper motion at JD2000 (rad/century).

Referenced by EECFI::StarFile::read(), and StarRec().

double EECFI::StarRec::par

Parallax of the star at JD2000 (rads).

Referenced by EECFI::StarFile::read(), and StarRec().

double EECFI::StarRec::radVel

Radial velocity of the star (au/century).

Referenced by EECFI::StarFile::read(), and StarRec().

double EECFI::StarRec::starDec

DEC of the star at JD2000 (rads).

Referenced by EECFI::StarFile::read(), and StarRec().

string EECFI::StarRec::starId

Star ID.

Referenced by EECFI::StarFile::read(), and StarRec().

double EECFI::StarRec::starRa

RA of the star at JD2000 (rads).

Referenced by EECFI::StarFile::read(), and StarRec().